Index: uspace/lib/fdisk/src/fdisk.c
===================================================================
--- uspace/lib/fdisk/src/fdisk.c	(revision 03661d192d37602b5a4a80d9df091bb800a4ba95)
+++ uspace/lib/fdisk/src/fdisk.c	(revision 55f8c6e7f883eebaa94a912da5ef642615faf634)
@@ -128,7 +128,5 @@
 	list_initialize(&devlist->devinfos);
 
-	printf("vbd_get_disks()\n");
 	rc = vbd_get_disks(fdisk->vbd, &svcs, &count);
-	printf(" -> %d\n", rc);
 	if (rc != EOK) {
 		rc = EIO;
@@ -262,5 +260,4 @@
 		return ENOMEM;
 
-	printf("vbd_part_get_info(%zu)\n", partid);
 	rc = vbd_part_get_info(dev->fdisk->vbd, partid, &pinfo);
 	if (rc != EOK) {
@@ -270,5 +267,4 @@
 
 	if (pinfo.svc_id != 0) {
-		printf("vol_part_add(%zu)...\n", pinfo.svc_id);
 		/*
 		 * Normally vol service discovers the partition asynchronously.
@@ -276,5 +272,4 @@
 		 */
 		rc = vol_part_add(dev->fdisk->vol, pinfo.svc_id);
-		printf("vol_part_add->rc = %d\n", rc);
 		if (rc != EOK && rc != EEXIST) {
 			rc = EIO;
@@ -282,7 +277,5 @@
 		}
 
-		printf("vol_part_info(%zu)\n", pinfo.svc_id);
 		rc = vol_part_info(dev->fdisk->vol, pinfo.svc_id, &vpinfo);
-		printf("vol_part_info->rc = %d\n", rc);
 		if (rc != EOK) {
 			rc = EIO;
@@ -404,31 +397,21 @@
 	int rc;
 
-	printf("get label info\n");
 	rc = fdisk_update_dev_info(dev);
 	if (rc != EOK) {
-		printf("failed\n");
 		rc = EIO;
 		goto error;
 	}
 
-	printf("block size: %zu\n", dev->dinfo.block_size);
-	printf("get partitions\n");
 	rc = vbd_label_get_parts(dev->fdisk->vbd, dev->sid, &psids, &nparts);
 	if (rc != EOK) {
-		printf("failed\n");
 		rc = EIO;
 		goto error;
 	}
-	printf("OK\n");
-
-	printf("found %zu partitions.\n", nparts);
+
 	for (i = 0; i < nparts; i++) {
-		printf("add partition sid=%zu\n", psids[i]);
 		rc = fdisk_part_add(dev, psids[i], NULL);
 		if (rc != EOK) {
-			printf("failed\n");
 			goto error;
 		}
-		printf("OK\n");
 	}
 
@@ -476,31 +459,21 @@
 	}
 
-	printf("get label info\n");
 	rc = fdisk_update_dev_info(dev);
 	if (rc != EOK) {
-		printf("failed\n");
 		rc = EIO;
 		goto error;
 	}
 
-	printf("block size: %zu\n", dev->dinfo.block_size);
-	printf("get partitions\n");
 	rc = vbd_label_get_parts(fdisk->vbd, sid, &psids, &nparts);
 	if (rc != EOK) {
-		printf("failed\n");
 		rc = EIO;
 		goto error;
 	}
-	printf("OK\n");
-
-	printf("found %zu partitions.\n", nparts);
+
 	for (i = 0; i < nparts; i++) {
-		printf("add partition sid=%zu\n", psids[i]);
 		rc = fdisk_part_add(dev, psids[i], NULL);
 		if (rc != EOK) {
-			printf("failed\n");
 			goto error;
 		}
-		printf("OK\n");
 	}
 
@@ -528,19 +501,14 @@
 	int rc;
 
-	printf("fdisk_dev_erase.. check ltype\n");
 	if (dev->dinfo.ltype != lt_none)
 		return EINVAL;
 
-	printf("fdisk_dev_erase.. get first part\n");
 	part = fdisk_part_first(dev);
 	assert(part != NULL);
-	printf("fdisk_dev_erase.. check part\n");
 	if (part->pcnt == vpc_empty)
 		return EINVAL;
 
-	printf("fdisk_dev_erase.. check part\n");
 	rc = vol_part_empty(dev->fdisk->vol, part->svc_id);
 	if (rc != EOK) {
-		printf("vol_part_empty -> %d\n", rc);
 		return rc;
 	}
@@ -682,6 +650,4 @@
 	int rc;
 
-	printf("fdisk_label_destroy: begin\n");
-
 	part = fdisk_part_first(dev);
 	while (part != NULL) {
@@ -692,16 +658,12 @@
 	}
 
-	printf("fdisk_label_destroy: vbd_label_delete\n");
-
 	rc = vbd_label_delete(dev->fdisk->vbd, dev->sid);
 	if (rc != EOK)
 		return EIO;
 
-	printf("fdisk_label_destroy: add parts\n");
 	rc = fdisk_dev_add_parts(dev);
 	if (rc != EOK)
 		return rc;
 
-	printf("fdisk_label_destroy: erase dev\n");
 	/* Make sure device is considered empty */
 	fdisk_dev_get_flags(dev, &dflags);
@@ -712,5 +674,4 @@
 	}
 
-	printf("fdisk_label_destroy: done\n");
 	return EOK;
 }
@@ -807,16 +768,12 @@
 	int rc;
 
-	printf("fdisk_part_create()\n");
-
 	rc = fdisk_part_spec_prepare(dev, pspec, &vpspec);
 	if (rc != EOK)
 		return EIO;
 
-	printf("fdisk_part_create() - call vbd_part_create\n");
 	rc = vbd_part_create(dev->fdisk->vbd, dev->sid, &vpspec, &partid);
 	if (rc != EOK)
 		return EIO;
 
-	printf("fdisk_part_create() - call fdisk_part_add\n");
 	rc = fdisk_part_add(dev, partid, &part);
 	if (rc != EOK) {
@@ -829,5 +786,4 @@
 		rc = vol_part_mkfs(dev->fdisk->vol, part->svc_id, pspec->fstype);
 		if (rc != EOK && rc != ENOTSUP) {
-			printf("mkfs failed\n");
 			fdisk_part_remove(part);
 			(void) vbd_part_delete(dev->fdisk->vbd, partid);
@@ -836,5 +792,4 @@
 	}
 
-	printf("fdisk_part_create() - done\n");
 	if (part->svc_id != 0) {
 		part->pcnt = vpc_fs;
@@ -986,8 +941,5 @@
 	do {
 		if (fdisk_free_range_get(&fr, &b0, &nb)) {
-			printf("free range: [%" PRIu64 ",+%" PRIu64 "]\n",
-			    b0, nb);
 			if (nb >= nblocks) {
-				printf("accepted.\n");
 				*rblock0 = b0;
 				*rnblocks = nb;
@@ -1049,6 +1001,4 @@
 	int rc;
 
-	printf("fdisk_part_spec_prepare() - dev=%p pspec=%p vpspec=%p\n", dev, pspec,
-	    vpspec);
 	rc = fdisk_cap_to_blocks(&pspec->capacity, fcv_nom, dev->dinfo.block_size,
 	    &nom_blocks);
@@ -1069,7 +1019,4 @@
 	min_blocks = fdisk_ba_align_up(dev, min_blocks);
 	max_blocks = fdisk_ba_align_up(dev, max_blocks);
-
-	printf("fdisk_part_spec_prepare: nom=%" PRIu64 ", min=%" PRIu64
-	    ", max=%" PRIu64, nom_blocks, min_blocks, max_blocks);
 
 	pcnt = -1;
@@ -1155,8 +1102,4 @@
 			return EIO;
 	}
-
-	printf("fdisk_part_spec_prepare: hdrb=%" PRIu64 ", b0=%" PRIu64
-	    ", nblocks=%" PRIu64 ", pkind=%d\n", vpspec->hdr_blocks,
-	    vpspec->block0, vpspec->nblocks, vpspec->pkind);
 
 	return EOK;
